namespace OSMDatastructure.Graph;

[Serializable]
public class OsmEdge
{
    public ulong wayId { get; }
    public ulong neighborId { get; }
    public ulong neighborRegion { get; }
    

    public OsmEdge(ulong wayID, ulong neighborID, ulong neighborRegion)
    {
        this.wayId = wayID;
        this.neighborId = neighborID;
        this.neighborRegion = neighborRegion;
    }

    public override string ToString()
    {
        return $"EDGE WayID: {wayId} NeighborID: {neighborId} {neighborRegion}";
    }
}